DataWriter (Apache CXF JavaDoc 4.1.0-SNAPSHOT API)
Description: declaration: package: org.apache.cxf.databinding, interface: DataWriter

Package org.apache.cxf.databinding

# Interface DataWriter<T>

Type Parameters:
  `T` - The type of sink. Each data binding defines the set of sink types that it supports.

All Known Implementing Classes:
  `NodeDataWriter`, `StaxDataBinding.XMLStreamDataWriter`, `XMLStreamDataWriter`

public interface DataWriter<T>
The 'write' side of the data binding abstraction of CXF. A DataWriter<T> serializes objects to a 'sink' of type T.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `ENDPOINT`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `setAttachments(Collection<Attachment> attachments)`
  Attach a collection of attachments to this writer.
  `void`
  `setProperty(String key, Object value)`
  Set a property for the writer.
  `void`
  `setSchema(Schema s)`
  Attach a schema to the writer.
  `void`
  `write(Object obj, MessagePartInfo part, T output)`
  Write an object to an output sink, including extra processing based on the WSDL service model for a particular message part.
  `void`
  `write(Object obj, T output)`
  Write an object to an output sink.

- ## Field Details

  - ### ENDPOINT

    static final String ENDPOINT

- ## Method Details

  - ### setSchema

    void setSchema(Schema s)
    Attach a schema to the writer. If the binding supports validation, it will validate the XML that it produces (assuming that it produces XML).
    Parameters:
      `s` - the schema.

  - ### setAttachments

    void setAttachments(Collection<Attachment> attachments)
    Attach a collection of attachments to this writer.
    Parameters:
      `attachments` -

  - ### setProperty

    void setProperty(String key, Object value)
    Set a property for the writer.
    Parameters:
      `key` - property key
      `value` - property value.

  - ### write

    void write(Object obj, T output)
    Write an object to an output sink.
    Parameters:
      `obj` - the object to write.
      `output` - the output sink.

  - ### write

    void write(Object obj, MessagePartInfo part, T output)
    Write an object to an output sink, including extra processing based on the WSDL service model for a particular message part.
    Parameters:
      `obj` - The object to write.
      `part` - the message part.
      `output` - the output sink.